<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: VicinitySlotsContainer Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/d7b/class_vicinity_slots_container.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">VicinitySlotsContainer Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for VicinitySlotsContainer:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d8/d7b/class_vicinity_slots_container.png" usemap="#VicinitySlotsContainer_map" alt=""/>
  <map id="VicinitySlotsContainer_map" name="VicinitySlotsContainer_map">
<area href="../../d4/d8f/class_container.html" alt="Container" shape="rect" coords="0,0,136,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ac213f78ab59bac40e092a379e682f70a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d7b/class_vicinity_slots_container.html#ac213f78ab59bac40e092a379e682f70a">VicinitySlotsContainer</a> (<a class="el" href="../../d5/d08/class_layout_holder.html">LayoutHolder</a> parent)</td></tr>
<tr class="separator:ac213f78ab59bac40e092a379e682f70a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24edd6d85afe3dc4c0ea805792e1cccf"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d7b/class_vicinity_slots_container.html#a24edd6d85afe3dc4c0ea805792e1cccf">IsItemWithContainerActive</a> ()</td></tr>
<tr class="separator:a24edd6d85afe3dc4c0ea805792e1cccf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafebe04c43df51fbe12fa65f22387368"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d7b/class_vicinity_slots_container.html#aafebe04c43df51fbe12fa65f22387368">IsItemWithQuantityActive</a> ()</td></tr>
<tr class="separator:aafebe04c43df51fbe12fa65f22387368"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94620de7f77bb25a2ea557edd69015ef"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d7b/class_vicinity_slots_container.html#a94620de7f77bb25a2ea557edd69015ef">IsItemActive</a> ()</td></tr>
<tr class="separator:a94620de7f77bb25a2ea557edd69015ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f8230170a20b805715987eb6ed38d10"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d7b/class_vicinity_slots_container.html#a4f8230170a20b805715987eb6ed38d10">IsEmptyItemActive</a> ()</td></tr>
<tr class="separator:a4f8230170a20b805715987eb6ed38d10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf1393d26d4bb518d57d1a4a10d14627"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d7b/class_vicinity_slots_container.html#adf1393d26d4bb518d57d1a4a10d14627">IsDisplayable</a> ()</td></tr>
<tr class="separator:adf1393d26d4bb518d57d1a4a10d14627"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a834cbe5a04169c5f7cf0db3d3d645990"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d7b/class_vicinity_slots_container.html#a834cbe5a04169c5f7cf0db3d3d645990">CanCombine</a> ()</td></tr>
<tr class="separator:a834cbe5a04169c5f7cf0db3d3d645990"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aadd6b20b007c458c52b351cf158cfe9a"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d7b/class_vicinity_slots_container.html#aadd6b20b007c458c52b351cf158cfe9a">CanCombineAmmo</a> ()</td></tr>
<tr class="separator:aadd6b20b007c458c52b351cf158cfe9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad445401883cf89cfee4d7bf4c40cceeb"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d7b/class_vicinity_slots_container.html#ad445401883cf89cfee4d7bf4c40cceeb">CanEquip</a> ()</td></tr>
<tr class="separator:ad445401883cf89cfee4d7bf4c40cceeb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf3b8bb2c74383607185a0abdf28ea69"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d7b/class_vicinity_slots_container.html#aaf3b8bb2c74383607185a0abdf28ea69">EquipItem</a> ()</td></tr>
<tr class="separator:aaf3b8bb2c74383607185a0abdf28ea69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac281dccf5bf0f18a15f153151a480880"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d7b/class_vicinity_slots_container.html#ac281dccf5bf0f18a15f153151a480880">InspectItem</a> ()</td></tr>
<tr class="separator:ac281dccf5bf0f18a15f153151a480880"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b7f552fd77b1b098ce4062c7ee2cfbd"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d7b/class_vicinity_slots_container.html#a9b7f552fd77b1b098ce4062c7ee2cfbd">TransferItem</a> ()</td></tr>
<tr class="separator:a9b7f552fd77b1b098ce4062c7ee2cfbd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9fe859650e1980399dd4c843b1f5c177"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d7b/class_vicinity_slots_container.html#a9fe859650e1980399dd4c843b1f5c177">Combine</a> ()</td></tr>
<tr class="separator:a9fe859650e1980399dd4c843b1f5c177"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d51b6bda5ac3d88d3541d6a9cb6c65c"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d7b/class_vicinity_slots_container.html#a9d51b6bda5ac3d88d3541d6a9cb6c65c">Select</a> ()</td></tr>
<tr class="separator:a9d51b6bda5ac3d88d3541d6a9cb6c65c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7532ea1bd2d94de02eaac053b75d8819"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d7b/class_vicinity_slots_container.html#a7532ea1bd2d94de02eaac053b75d8819">~VicinitySlotsContainer</a> ()</td></tr>
<tr class="separator:a7532ea1bd2d94de02eaac053b75d8819"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a462e21acaf39ae7d956980318ebc737b"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d7b/class_vicinity_slots_container.html#a462e21acaf39ae7d956980318ebc737b">SetLayoutName</a> ()</td></tr>
<tr class="separator:a462e21acaf39ae7d956980318ebc737b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac494b33e0304c046f21d2cf6ac82a3b4"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d7b/class_vicinity_slots_container.html#ac494b33e0304c046f21d2cf6ac82a3b4">OnShow</a> ()</td></tr>
<tr class="separator:ac494b33e0304c046f21d2cf6ac82a3b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1ad48a3390a75cd284d00d879a98423"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d7b/class_vicinity_slots_container.html#aa1ad48a3390a75cd284d00d879a98423">GetRowSlotCount</a> ()</td></tr>
<tr class="separator:aa1ad48a3390a75cd284d00d879a98423"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04f229f4621c8ec1983212671c227bf1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d7b/class_vicinity_slots_container.html#a04f229f4621c8ec1983212671c227bf1">ExcludeFromContainer</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> item)</td></tr>
<tr class="separator:a04f229f4621c8ec1983212671c227bf1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4590d25a83bb1242017dc5af7ccc6c3e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d7b/class_vicinity_slots_container.html#a4590d25a83bb1242017dc5af7ccc6c3e">ShowItemsInContainers</a> (<a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> &gt; items)</td></tr>
<tr class="separator:a4590d25a83bb1242017dc5af7ccc6c3e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad05bd4ad1353342b27b7f9d780307d72"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d7b/class_vicinity_slots_container.html#ad05bd4ad1353342b27b7f9d780307d72">DoubleClick</a> (<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> button)</td></tr>
<tr class="separator:ad05bd4ad1353342b27b7f9d780307d72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9dc831f5a2ce2f12d4c3914466bf758e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d7b/class_vicinity_slots_container.html#a9dc831f5a2ce2f12d4c3914466bf758e">GetItemQuantityText</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> item)</td></tr>
<tr class="separator:a9dc831f5a2ce2f12d4c3914466bf758e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a080aa31249ecb68ade38787e88324e3e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d7b/class_vicinity_slots_container.html#a080aa31249ecb68ade38787e88324e3e">HasItemQuantity</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> item)</td></tr>
<tr class="separator:a080aa31249ecb68ade38787e88324e3e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a888cc9d15734924f7dbf35bbcd3629d3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d7b/class_vicinity_slots_container.html#a888cc9d15734924f7dbf35bbcd3629d3">GetItemQuantity</a> (<a class="el" href="../../d6/d0e/class_inventory_item.html">InventoryItem</a> item)</td></tr>
<tr class="separator:a888cc9d15734924f7dbf35bbcd3629d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5e6d9a33186a84047142193786c1216"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d7b/class_vicinity_slots_container.html#ad5e6d9a33186a84047142193786c1216">MouseButtonDown</a> (<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> button)</td></tr>
<tr class="separator:ad5e6d9a33186a84047142193786c1216"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af10fd121baac0488ae3480d059bffbb4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d7b/class_vicinity_slots_container.html#af10fd121baac0488ae3480d059bffbb4">MouseClick</a> (<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> button)</td></tr>
<tr class="separator:af10fd121baac0488ae3480d059bffbb4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f6d5eacb9a552d8f1309612fb885193"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d7b/class_vicinity_slots_container.html#a9f6d5eacb9a552d8f1309612fb885193">OnDropReceivedFromHeader</a> (<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> receiver)</td></tr>
<tr class="separator:a9f6d5eacb9a552d8f1309612fb885193"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeba1fe4d5a7ac48fbeed931897e2cef8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d7b/class_vicinity_slots_container.html#aeba1fe4d5a7ac48fbeed931897e2cef8">RecomputeNumberOfContainers</a> (<a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> &gt; items)</td></tr>
<tr class="separator:aeba1fe4d5a7ac48fbeed931897e2cef8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ad6f5a9e54d468185bfc14b8900c542da"><td class="memItemLeft" align="right" valign="top">protected ref <a class="el" href="../../d0/d9d/class_attachments_group_container.html">AttachmentsGroupContainer</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d7b/class_vicinity_slots_container.html#ad6f5a9e54d468185bfc14b8900c542da">m_Container</a></td></tr>
<tr class="separator:ad6f5a9e54d468185bfc14b8900c542da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae94c00fefad40d7bb9e86cb4f74293f"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d7b/class_vicinity_slots_container.html#aae94c00fefad40d7bb9e86cb4f74293f">m_ItemsCount</a></td></tr>
<tr class="separator:aae94c00fefad40d7bb9e86cb4f74293f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59ff8ef3300557ab982c987c97e73823"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d7b/class_vicinity_slots_container.html#a59ff8ef3300557ab982c987c97e73823">m_SlotsCount</a></td></tr>
<tr class="separator:a59ff8ef3300557ab982c987c97e73823"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a078d689ea5f4ecb1a839ef4dfc8320"><td class="memItemLeft" align="right" valign="top">protected ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d7b/class_vicinity_slots_container.html#a7a078d689ea5f4ecb1a839ef4dfc8320">m_ShowedItems</a></td></tr>
<tr class="separator:a7a078d689ea5f4ecb1a839ef4dfc8320"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html#l00001">1</a> of file <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html">VicinitySlotsContainer.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ac213f78ab59bac40e092a379e682f70a" name="ac213f78ab59bac40e092a379e682f70a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac213f78ab59bac40e092a379e682f70a">&#9670;&#160;</a></span>VicinitySlotsContainer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void VicinitySlotsContainer::VicinitySlotsContainer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/d08/class_layout_holder.html">LayoutHolder</a>&#160;</td>
          <td class="paramname"><em>parent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html#l00008">8</a> of file <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html">VicinitySlotsContainer.c</a>.</p>

</div>
</div>
<a id="a7532ea1bd2d94de02eaac053b75d8819" name="a7532ea1bd2d94de02eaac053b75d8819"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7532ea1bd2d94de02eaac053b75d8819">&#9670;&#160;</a></span>~VicinitySlotsContainer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void VicinitySlotsContainer::~VicinitySlotsContainer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html#l00225">225</a> of file <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html">VicinitySlotsContainer.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a834cbe5a04169c5f7cf0db3d3d645990" name="a834cbe5a04169c5f7cf0db3d3d645990"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a834cbe5a04169c5f7cf0db3d3d645990">&#9670;&#160;</a></span>CanCombine()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> VicinitySlotsContainer::CanCombine </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html#l00069">69</a> of file <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html">VicinitySlotsContainer.c</a>.</p>

</div>
</div>
<a id="aadd6b20b007c458c52b351cf158cfe9a" name="aadd6b20b007c458c52b351cf158cfe9a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aadd6b20b007c458c52b351cf158cfe9a">&#9670;&#160;</a></span>CanCombineAmmo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> VicinitySlotsContainer::CanCombineAmmo </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html#l00077">77</a> of file <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html">VicinitySlotsContainer.c</a>.</p>

</div>
</div>
<a id="ad445401883cf89cfee4d7bf4c40cceeb" name="ad445401883cf89cfee4d7bf4c40cceeb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad445401883cf89cfee4d7bf4c40cceeb">&#9670;&#160;</a></span>CanEquip()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> VicinitySlotsContainer::CanEquip </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html#l00088">88</a> of file <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html">VicinitySlotsContainer.c</a>.</p>

</div>
</div>
<a id="a9fe859650e1980399dd4c843b1f5c177" name="a9fe859650e1980399dd4c843b1f5c177"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9fe859650e1980399dd4c843b1f5c177">&#9670;&#160;</a></span>Combine()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> VicinitySlotsContainer::Combine </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html#l00150">150</a> of file <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html">VicinitySlotsContainer.c</a>.</p>

</div>
</div>
<a id="ad05bd4ad1353342b27b7f9d780307d72" name="ad05bd4ad1353342b27b7f9d780307d72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad05bd4ad1353342b27b7f9d780307d72">&#9670;&#160;</a></span>DoubleClick()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void VicinitySlotsContainer::DoubleClick </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td>
          <td class="paramname"><em>w</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>button</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html#l00361">361</a> of file <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html">VicinitySlotsContainer.c</a>.</p>

</div>
</div>
<a id="aaf3b8bb2c74383607185a0abdf28ea69" name="aaf3b8bb2c74383607185a0abdf28ea69"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf3b8bb2c74383607185a0abdf28ea69">&#9670;&#160;</a></span>EquipItem()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> VicinitySlotsContainer::EquipItem </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html#l00103">103</a> of file <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html">VicinitySlotsContainer.c</a>.</p>

</div>
</div>
<a id="a04f229f4621c8ec1983212671c227bf1" name="a04f229f4621c8ec1983212671c227bf1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04f229f4621c8ec1983212671c227bf1">&#9670;&#160;</a></span>ExcludeFromContainer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> VicinitySlotsContainer::ExcludeFromContainer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>item</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html#l00252">252</a> of file <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html">VicinitySlotsContainer.c</a>.</p>

</div>
</div>
<a id="a888cc9d15734924f7dbf35bbcd3629d3" name="a888cc9d15734924f7dbf35bbcd3629d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a888cc9d15734924f7dbf35bbcd3629d3">&#9670;&#160;</a></span>GetItemQuantity()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> VicinitySlotsContainer::GetItemQuantity </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d6/d0e/class_inventory_item.html">InventoryItem</a>&#160;</td>
          <td class="paramname"><em>item</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html#l00494">494</a> of file <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html">VicinitySlotsContainer.c</a>.</p>

</div>
</div>
<a id="a9dc831f5a2ce2f12d4c3914466bf758e" name="a9dc831f5a2ce2f12d4c3914466bf758e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9dc831f5a2ce2f12d4c3914466bf758e">&#9670;&#160;</a></span>GetItemQuantityText()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> VicinitySlotsContainer::GetItemQuantityText </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>item</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html#l00426">426</a> of file <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html">VicinitySlotsContainer.c</a>.</p>

</div>
</div>
<a id="aa1ad48a3390a75cd284d00d879a98423" name="aa1ad48a3390a75cd284d00d879a98423"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa1ad48a3390a75cd284d00d879a98423">&#9670;&#160;</a></span>GetRowSlotCount()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> VicinitySlotsContainer::GetRowSlotCount </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html#l00247">247</a> of file <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html">VicinitySlotsContainer.c</a>.</p>

</div>
</div>
<a id="a080aa31249ecb68ade38787e88324e3e" name="a080aa31249ecb68ade38787e88324e3e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a080aa31249ecb68ade38787e88324e3e">&#9670;&#160;</a></span>HasItemQuantity()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> VicinitySlotsContainer::HasItemQuantity </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>item</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html#l00464">464</a> of file <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html">VicinitySlotsContainer.c</a>.</p>

</div>
</div>
<a id="ac281dccf5bf0f18a15f153151a480880" name="ac281dccf5bf0f18a15f153151a480880"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac281dccf5bf0f18a15f153151a480880">&#9670;&#160;</a></span>InspectItem()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> VicinitySlotsContainer::InspectItem </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html#l00119">119</a> of file <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html">VicinitySlotsContainer.c</a>.</p>

</div>
</div>
<a id="adf1393d26d4bb518d57d1a4a10d14627" name="adf1393d26d4bb518d57d1a4a10d14627"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adf1393d26d4bb518d57d1a4a10d14627">&#9670;&#160;</a></span>IsDisplayable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> VicinitySlotsContainer::IsDisplayable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html#l00064">64</a> of file <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html">VicinitySlotsContainer.c</a>.</p>

</div>
</div>
<a id="a4f8230170a20b805715987eb6ed38d10" name="a4f8230170a20b805715987eb6ed38d10"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4f8230170a20b805715987eb6ed38d10">&#9670;&#160;</a></span>IsEmptyItemActive()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> VicinitySlotsContainer::IsEmptyItemActive </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html#l00057">57</a> of file <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html">VicinitySlotsContainer.c</a>.</p>

</div>
</div>
<a id="a94620de7f77bb25a2ea557edd69015ef" name="a94620de7f77bb25a2ea557edd69015ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94620de7f77bb25a2ea557edd69015ef">&#9670;&#160;</a></span>IsItemActive()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> VicinitySlotsContainer::IsItemActive </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html#l00051">51</a> of file <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html">VicinitySlotsContainer.c</a>.</p>

</div>
</div>
<a id="a24edd6d85afe3dc4c0ea805792e1cccf" name="a24edd6d85afe3dc4c0ea805792e1cccf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a24edd6d85afe3dc4c0ea805792e1cccf">&#9670;&#160;</a></span>IsItemWithContainerActive()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> VicinitySlotsContainer::IsItemWithContainerActive </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html#l00039">39</a> of file <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html">VicinitySlotsContainer.c</a>.</p>

</div>
</div>
<a id="aafebe04c43df51fbe12fa65f22387368" name="aafebe04c43df51fbe12fa65f22387368"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aafebe04c43df51fbe12fa65f22387368">&#9670;&#160;</a></span>IsItemWithQuantityActive()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> VicinitySlotsContainer::IsItemWithQuantityActive </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html#l00045">45</a> of file <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html">VicinitySlotsContainer.c</a>.</p>

</div>
</div>
<a id="ad5e6d9a33186a84047142193786c1216" name="ad5e6d9a33186a84047142193786c1216"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5e6d9a33186a84047142193786c1216">&#9670;&#160;</a></span>MouseButtonDown()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void VicinitySlotsContainer::MouseButtonDown </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td>
          <td class="paramname"><em>w</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>button</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html#l00514">514</a> of file <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html">VicinitySlotsContainer.c</a>.</p>

</div>
</div>
<a id="af10fd121baac0488ae3480d059bffbb4" name="af10fd121baac0488ae3480d059bffbb4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af10fd121baac0488ae3480d059bffbb4">&#9670;&#160;</a></span>MouseClick()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void VicinitySlotsContainer::MouseClick </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td>
          <td class="paramname"><em>w</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>button</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html#l00538">538</a> of file <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html">VicinitySlotsContainer.c</a>.</p>

</div>
</div>
<a id="a9f6d5eacb9a552d8f1309612fb885193" name="a9f6d5eacb9a552d8f1309612fb885193"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9f6d5eacb9a552d8f1309612fb885193">&#9670;&#160;</a></span>OnDropReceivedFromHeader()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void VicinitySlotsContainer::OnDropReceivedFromHeader </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td>
          <td class="paramname"><em>w</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td>
          <td class="paramname"><em>receiver</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html#l00572">572</a> of file <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html">VicinitySlotsContainer.c</a>.</p>

</div>
</div>
<a id="ac494b33e0304c046f21d2cf6ac82a3b4" name="ac494b33e0304c046f21d2cf6ac82a3b4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac494b33e0304c046f21d2cf6ac82a3b4">&#9670;&#160;</a></span>OnShow()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void VicinitySlotsContainer::OnShow </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html#l00242">242</a> of file <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html">VicinitySlotsContainer.c</a>.</p>

</div>
</div>
<a id="aeba1fe4d5a7ac48fbeed931897e2cef8" name="aeba1fe4d5a7ac48fbeed931897e2cef8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeba1fe4d5a7ac48fbeed931897e2cef8">&#9670;&#160;</a></span>RecomputeNumberOfContainers()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void VicinitySlotsContainer::RecomputeNumberOfContainers </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> &gt;&#160;</td>
          <td class="paramname"><em>items</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html#l00609">609</a> of file <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html">VicinitySlotsContainer.c</a>.</p>

</div>
</div>
<a id="a9d51b6bda5ac3d88d3541d6a9cb6c65c" name="a9d51b6bda5ac3d88d3541d6a9cb6c65c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9d51b6bda5ac3d88d3541d6a9cb6c65c">&#9670;&#160;</a></span>Select()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> VicinitySlotsContainer::Select </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html#l00165">165</a> of file <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html">VicinitySlotsContainer.c</a>.</p>

</div>
</div>
<a id="a462e21acaf39ae7d956980318ebc737b" name="a462e21acaf39ae7d956980318ebc737b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a462e21acaf39ae7d956980318ebc737b">&#9670;&#160;</a></span>SetLayoutName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void VicinitySlotsContainer::SetLayoutName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html#l00237">237</a> of file <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html">VicinitySlotsContainer.c</a>.</p>

</div>
</div>
<a id="a4590d25a83bb1242017dc5af7ccc6c3e" name="a4590d25a83bb1242017dc5af7ccc6c3e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4590d25a83bb1242017dc5af7ccc6c3e">&#9670;&#160;</a></span>ShowItemsInContainers()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void VicinitySlotsContainer::ShowItemsInContainers </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> &gt;&#160;</td>
          <td class="paramname"><em>items</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html#l00265">265</a> of file <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html">VicinitySlotsContainer.c</a>.</p>

</div>
</div>
<a id="a9b7f552fd77b1b098ce4062c7ee2cfbd" name="a9b7f552fd77b1b098ce4062c7ee2cfbd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b7f552fd77b1b098ce4062c7ee2cfbd">&#9670;&#160;</a></span>TransferItem()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> VicinitySlotsContainer::TransferItem </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html#l00131">131</a> of file <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html">VicinitySlotsContainer.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="ad6f5a9e54d468185bfc14b8900c542da" name="ad6f5a9e54d468185bfc14b8900c542da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad6f5a9e54d468185bfc14b8900c542da">&#9670;&#160;</a></span>m_Container</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref <a class="el" href="../../d0/d9d/class_attachments_group_container.html">AttachmentsGroupContainer</a> VicinitySlotsContainer::m_Container</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html#l00003">3</a> of file <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html">VicinitySlotsContainer.c</a>.</p>

</div>
</div>
<a id="aae94c00fefad40d7bb9e86cb4f74293f" name="aae94c00fefad40d7bb9e86cb4f74293f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae94c00fefad40d7bb9e86cb4f74293f">&#9670;&#160;</a></span>m_ItemsCount</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> VicinitySlotsContainer::m_ItemsCount</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html#l00004">4</a> of file <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html">VicinitySlotsContainer.c</a>.</p>

</div>
</div>
<a id="a7a078d689ea5f4ecb1a839ef4dfc8320" name="a7a078d689ea5f4ecb1a839ef4dfc8320"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a078d689ea5f4ecb1a839ef4dfc8320">&#9670;&#160;</a></span>m_ShowedItems</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&gt; VicinitySlotsContainer::m_ShowedItems</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html#l00006">6</a> of file <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html">VicinitySlotsContainer.c</a>.</p>

</div>
</div>
<a id="a59ff8ef3300557ab982c987c97e73823" name="a59ff8ef3300557ab982c987c97e73823"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a59ff8ef3300557ab982c987c97e73823">&#9670;&#160;</a></span>m_SlotsCount</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> VicinitySlotsContainer::m_SlotsCount</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html#l00005">5</a> of file <a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html">VicinitySlotsContainer.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/5_Mission/GUI/InventoryNew/Inherited/<a class="el" href="../../d3/d79/_vicinity_slots_container_8c_source.html">VicinitySlotsContainer.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d8/d7b/class_vicinity_slots_container.html">VicinitySlotsContainer</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
